Subject: Re: bug#51650: Autocomplete: first Tab should show *Completions* buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Nov 2021 12:28:55 +0200

> From: Carlos Pita <[email-masked]>
> Date: Sun, 7 Nov 2021 05:39:40 -0300
> Cc: [email-masked]
> 
> > > *Completions* buffer: one won't do it, exactly two won't always do
> > > it (both of them may complete something), so there must be a
> > > sequence of at least two Tabs and the last one must be unable to
> > > complete.
> >
> > The 2 TABs are necessary if the partial completion is not what you
> > want.  Emacs cannot know that, only you, the user, can.
> 
> But then, by the same token, why is this not true of step 5?

Because in Step 5 you typed something, whereas in Step 2 you didn't
type anything.

> Suppose I now abort the process and do `M-x cd ~/Desktop` and then
> enter the find-file completion again, I'm in the same situation, yet I
> press Tab and I get "not unique" and I have to press Tab again in
> order to get the list of candidates. Why should the behavior differ?

Because you haven't typed anything yet, so Emacs doesn't know what you
have in mind.  In the other case, it has some hint.